package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class DisponibilitaTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static Disponibilita getDisponibilitaSample1() {
        return new Disponibilita().id(1L).orarioInizio("orarioInizio1").orarioFine("orarioFine1").note("note1");
    }

    public static Disponibilita getDisponibilitaSample2() {
        return new Disponibilita().id(2L).orarioInizio("orarioInizio2").orarioFine("orarioFine2").note("note2");
    }

    public static Disponibilita getDisponibilitaRandomSampleGenerator() {
        return new Disponibilita()
            .id(longCount.incrementAndGet())
            .orarioInizio(UUID.randomUUID().toString())
            .orarioFine(UUID.randomUUID().toString())
            .note(UUID.randomUUID().toString());
    }
}
